Subject: [CCAMP] Mirja Kühlewind's No Objection on draft-ietf-ccamp-flexible-grid-ospf-ext-08: (with COMMENT)

From: "Mirja Kuehlewind" <[email-masked]>
Date: Fri, 10 Feb 2017 06:04:10 -0800

Mirja Kühlewind has entered the following ballot position for
draft-ietf-ccamp-flexible-grid-ospf-ext-08: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-ccamp-flexible-grid-ospf-ext/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

1) Is it really necessary to define a sub-TLV to a sub-TLV? The Interface
Switching Capability Descriptor is already a sub-TLV of the Link TLV and
now you define another sub-sub-TVL for the Frequency availability bitmap.
Is it really necessary to have another sub-TLV system here and a new/own
registry, given you only define one (!) sub-sub-TLV? I would say you
should remove this sub-sub-TLV system and the registry and simply define
the bitmap as fixed part of the new Flexi-Grid-LSC sub-TLV. And if you
every need another sub-sub-TLV you simply define another ISCD sub-TLV
instead. I really don't think the additional complexity of this
sub-sub-TLV system and the registry is justified!

2) The Port Label Restriction field as specified in RFC7579 is not a
sub-TLV but a field; see section 4.2:
"The Port Label Restriction sub-TLV is defined in [RFC7579]. "

3) Section 3 does not specify any requirements (as the title indicates)
but only given some quite extensive background information. I don't think
this is needed (anymore) for the final published document and could be
completely removed or compressed to a few paragraphs in the intro.

---

From: Zhenghaomian <[email-masked]>
Date: Mon, 13 Feb 2017 14:20:51 +0000

Hi, Mirja, 

Thank you for the review and comments. Please see my response as follow.

1) Is it really necessary to define a sub-TLV to a sub-TLV? The Interface Switching Capability Descriptor is already a sub-TLV of the Link TLV and now you define another sub-sub-TVL for the Frequency availability bitmap.
Is it really necessary to have another sub-TLV system here and a new/own registry, given you only define one (!) sub-sub-TLV? I would say you should remove this sub-sub-TLV system and the registry and simply define the bitmap as fixed part of the new Flexi-Grid-LSC sub-TLV. And if you every need another sub-sub-TLV you simply define another ISCD sub-TLV instead. I really don't think the additional complexity of this sub-sub-TLV system and the registry is justified!
[Haomian] I am not sure whether it is harmful to define sub-TLV of other sub-TLVs, but personally I don't see much complexity by bringing SCSI extension. As your alternative proposal is really a huge change from the current draft, I think we should listen to more voices from WG. Anyway, it's a TLV re-organization issue. 

2) The Port Label Restriction field as specified in RFC7579 is not a sub-TLV but a field; see section 4.2:
"The Port Label Restriction sub-TLV is defined in [RFC7579]. "
[Haomian] Noted, will be update in the next version. 

3) Section 3 does not specify any requirements (as the title indicates) but only given some quite extensive background information. I don't think this is needed (anymore) for the final published document and could be completely removed or compressed to a few paragraphs in the intro.
[Haomian] Section 3 gives description on how flexi-grid works in DWDM networks, and proposed some specific requirement and terms. I believe these descriptions provide useful information for people to understand primitives of flexi-grid routing. Would you please show some specific text that are redundant? That will be more efficient. 

Best wishes,
Haomian

-----邮件原件-----
发件人: Mirja Kuehlewind [mailto:[email-masked]] 
发送时间: 2017年2月10日 22:04
收件人: The IESG
抄送: [email-masked]; Dieter Beller; [email-masked]; [email-masked]; [email-masked]
主题: Mirja Kühlewind's No Objection on draft-ietf-ccamp-flexible-grid-ospf-ext-08: (with COMMENT)

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

1) Is it really necessary to define a sub-TLV to a sub-TLV? The Interface Switching Capability Descriptor is already a sub-TLV of the Link TLV and now you define another sub-sub-TVL for the Frequency availability bitmap.
Is it really necessary to have another sub-TLV system here and a new/own registry, given you only define one (!) sub-sub-TLV? I would say you should remove this sub-sub-TLV system and the registry and simply define the bitmap as fixed part of the new Flexi-Grid-LSC sub-TLV. And if you every need another sub-sub-TLV you simply define another ISCD sub-TLV instead. I really don't think the additional complexity of this sub-sub-TLV system and the registry is justified!

2) The Port Label Restriction field as specified in RFC7579 is not a sub-TLV but a field; see section 4.2:
"The Port Label Restriction sub-TLV is defined in [RFC7579]. "

3) Section 3 does not specify any requirements (as the title indicates) but only given some quite extensive background information. I don't think this is needed (anymore) for the final published document and could be completely removed or compressed to a few paragraphs in the intro.

---

From: Ramon Casellas <[email-masked]>
Date: Mon, 13 Feb 2017 15:38:36 +0100

> [Haomian] I am not sure whether it is harmful to define sub-TLV of other sub-TLVs, but personally I don't see much complexity by bringing SCSI extension. As your alternative proposal is really a hu…

Hi,

If I am not mistaken, it is my understanding that the proposed subTLV 
approach somehow follows RFC 7688 (see e.g Section 3.1 or 
https://tools.ietf.org/html/rfc7688#section-6.2) and (AFAICT) RFC 7138. 
Since it has been done before, I'm fine with having subTLVs of the 
ISCD-SCSI and I would not change it.

Regards
Ramon